> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://uploadcare.com/docs/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://uploadcare.com/docs/_mcp/server.

# Uploadcare REST API Reference

> Complete reference documentation for the Uploadcare REST API. Covers endpoints, requests, parameters, and response examples.

REST API provides low-level access to Uploadcare features. You can manage files and their metadata, application data, file groups, add-ons, projects, webhooks, file conversions, and video encoding.

For high-level integrations and SDKs, see [available libraries](/docs/integrations/).

### API endpoints

REST API root endpoint: `https://api.uploadcare.com/`

Send data via query strings and POST request bodies, and receive JSON responses.

**Note**: All API endpoints must end with a forward slash `/`.

```text
GET /files/
PUT /files/{uuid}/storage/
POST /files/local_copy/
...
```